For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Guías (Español)Guides (English)Referencia API
  • Referencia API
      • GETListar checkouts
      • POSTCrear un checkout
      • GETObtener detalles de un checkout
      • PUTActualizar un checkout
LogoLogo
Referencia APICheckouts

Listar checkouts

GET
https://app.recurrente.com/api/checkouts
GET
/api/checkouts
$curl https://app.recurrente.com/api/checkouts \
> -H "X-SECRET-KEY: <apiKey>"
200Retrieved
1[
2 {
3 "id": "ch_lmgbvesmihkqzma3",
4 "status": "paid",
5 "total_in_cents": 3000,
6 "subtotal_in_cents": 3500,
7 "discount": {
8 "amount_in_cents": 500,
9 "coupon": {
10 "id": "coup_ugwoxcp4",
11 "name": "VERANO25",
12 "discount_mode": "code",
13 "display_name": "string",
14 "amount_off_in_cents": 1500,
15 "percent_off": 1.1,
16 "automatically_applies": false,
17 "max_redemptions": 1,
18 "times_redeemed": 0,
19 "currency": "GTQ",
20 "duration": "once",
21 "expires_at": "2024-01-15T09:30:00Z",
22 "status": "active"
23 }
24 },
25 "currency": "GTQ",
26 "live_mode": true,
27 "success_url": "string",
28 "cancel_url": "string",
29 "expires_at": "2024-01-15T09:30:00Z",
30 "created_at": "2024-01-15T09:30:00Z",
31 "metadata": {},
32 "custom_fields": [
33 {
34 "field_id": "ccf_xxxxxxxxxxxx",
35 "key": "engraving",
36 "type": "text",
37 "value": "string"
38 }
39 ],
40 "transfer_setups": [
41 {
42 "id": "string",
43 "status": "string",
44 "amount_in_cents": 1,
45 "currency": "string",
46 "recipient_id": "string"
47 }
48 ],
49 "latest_intent": {
50 "id": "string",
51 "type": "string",
52 "created_at": "2024-01-15T09:30:00Z",
53 "data": {
54 "auth_code": "string"
55 }
56 },
57 "payment": {
58 "id": "string",
59 "paymentable": {
60 "type": "Subscription",
61 "id": "string",
62 "tax_name": "string",
63 "tax_id": "string",
64 "address": {
65 "address_line_1": "string",
66 "address_line_2": "string",
67 "city": "string",
68 "region": "string",
69 "country": "string",
70 "zip_code": "string"
71 },
72 "phone_number": "string"
73 }
74 },
75 "payment_method": {
76 "id": "string",
77 "type": "card",
78 "card": {
79 "last4": "4242",
80 "expiration_month": 12,
81 "expiration_year": 2028,
82 "network": "visa",
83 "issuer_name": "string"
84 },
85 "address": {
86 "address_line_1": "string",
87 "address_line_2": "string",
88 "city": "string",
89 "region": "string",
90 "country": "string",
91 "zip_code": "string"
92 },
93 "phone_number": "string"
94 }
95 }
96]

Lista todos los checkouts de tu cuenta con paginación. Puedes filtrar por fechas y usuario.

Was this page helpful?
Previous

Crear un checkout

Next
Built with

Authentication

X-SECRET-KEYstring
Tu llave secreta de API

Query parameters

pageintegerOptional>=1Defaults to 1

Número de página (empezando en 1)

itemsintegerOptional1-100Defaults to 10

Elementos por página

user_idstringOptional
Filtrar por ID de usuario
from_timedatetimeOptional

Filtrar desde esta fecha (formato ISO 8601)

until_timedatetimeOptional

Filtrar hasta esta fecha (formato ISO 8601)

Response

Lista de checkouts
idstring

ID único del checkout

statusenum
Estado del checkout
Allowed values:
total_in_centsinteger

Monto total en centavos (después de descuentos)

subtotal_in_centsinteger

Monto subtotal en centavos (antes de descuentos)

discountobject or null

Descuento aplicado al checkout (null si no hay descuento)

currencyenum
Moneda del checkout
Allowed values:
live_modeboolean

Si el checkout está en modo producción (true) o prueba (false)

success_urlstring

URL de redirección en caso de pago exitoso

cancel_urlstring

URL de redirección en caso de cancelación

expires_atdatetime

Fecha de expiración del checkout

created_atdatetime

Fecha de creación

metadatamap from strings to strings
Metadata personalizada
custom_fieldslist of objects

Valores recolectados de los campos personalizados. Si el checkout tiene múltiples productos, cada producto contribuye sus propias entradas — la key puede repetirse entre productos. Usa field_id como identificador canónico al reconciliar valores.

transfer_setupslist of objects
Configuraciones de transferencia asociadas
latest_intentobject or null

Último payment intent asociado

paymentobject or null

Información del pago (si está pagado)

payment_methodobject or null

Método de pago utilizado